#include <cstdio>
#include <cmath>
#include <cassert>

#undef NDEBUG

using namespace std;

int main ()
{
#ifdef CONTEST
  freopen("twosqr.in", "rt", stdin);
  freopen("twosqr.out", "wt", stdout);
#endif

  int T;
  scanf("%d", &T);
  for (int t=0; t<T; t++) {
    int N;
    scanf("%d", &N);
    int count = 0;
    for (int a=0; 2*a*a<=N; a++) {
      int b = (int) (sqrt(N-a*a) + 0.5);
      if (a*a+b*b == N) {
        // printf("%d^2 + %d^2 = %d\n", a, b, N);
        count++;
      }
    }
    printf("%d\n", count);
  }
  return 0;
}
