#include <cstdio>
#include <cmath>
#include <cassert>

#undef NDEBUG

using namespace std;

#define MAX   1000000000
#define MAXRT      31622

int sqr[MAXRT+1];

int main ()
{
#ifdef CONTEST
  freopen("twosqr.in", "rt", stdin);
  freopen("twosqr.out", "wt", stdout);
#endif

  for (int i=0; i<=MAXRT; i++)
    sqr[i] = i*i;
  int T;
  scanf("%d", &T);
  for (int t=0; t<T; t++) {
    int N;
    scanf("%d", &N);
    int count = 0;
    int b = MAXRT;
    for (int a=0; 2*sqr[a]<=N; a++) {
      while (sqr[a] + sqr[b] > N)
        b--;
      if (sqr[a] + sqr[b] == N)
        count++;
    }
    printf("%d\n", count);
  }
  return 0;
}
